# CRITICALEDITOR.CGI

Section: User Commands (1)
Updated: Version 4.3.11: 21 Apr 2013
Index Return to Main Contents

## NAME

criticaleditor.cgi - Xymon Critical Systems View Editor CGI

## SYNOPSIS

criticaleditor.cgi

## DESCRIPTION

criticaleditor.cgi is invoked as a CGI script via the criticaleditor.sh CGI wrapper.

criticaleditor.cgi is a web-based editor for the critical.cfg(5) file, which is used to configure the Xymon "Critical Systems" view.

A detailed description of how to use the editor is provided in the Xymon Web documentation, available from the "Help" -> "Critical Systems" link on the Xymon website.

## SECURITY

Access to this CGI script should be restricted through access controls in your webserver. Editing the Critical Systems View configuration will impact the monitoring of your site.

## OPTIONS

--config=FILENAME
  Name of the Critical Systems View configuration file. The default is critical.cfg in the $XYMONHOME/etc/ directory.

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
  Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
  Enables debugging output.

## SEE ALSO

criticalview.cgi(1), critical.cfg(5), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
SECURITY
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 10:54:41 GMT, April 21, 2013